## qt5ct 1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11.0)

project(qt5ct LANGUAGES CXX)

include(GNUInstallDirs)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(QT_MINIMUM_VERSION "5.12.0")


ADD_DEFINITIONS(-DQT_DISABLE_DEPRECATED_BEFORE=0x050C00 -DUSE_WIDGETS)

find_package(Qt5 ${QT_MINIMUM_VERSION} COMPONENTS Widgets Concurrent LinguistTools DBus ThemeSupport REQUIRED)
find_package(Qt5Gui ${QT_MINIMUM_VERSION} CONFIG REQUIRED Private)

get_target_property(QT_LRELEASE_EXECUTABLE Qt5::lrelease IMPORTED_LOCATION)

if(QT_LRELEASE_EXECUTABLE)
    message(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
else()
    message(FATAL_ERROR "Could NOT find lrelease executable")
endif()

get_filename_component(QT_QTPATHS_EXECUTABLE ${QT_LRELEASE_EXECUTABLE} DIRECTORY)
set(QT_QTPATHS_EXECUTABLE ${QT_QTPATHS_EXECUTABLE}/qtpaths)

if(EXISTS ${QT_QTPATHS_EXECUTABLE})
    message(STATUS "Found qtpaths executable: " ${QT_QTPATHS_EXECUTABLE})
else()
    message(FATAL_ERROR "Could NOT find qtpaths executable")
endif()

execute_process(COMMAND ${QT_QTPATHS_EXECUTABLE} --plugin-dir OUTPUT_VARIABLE PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
message(STATUS "Plugin path: " ${PLUGINDIR})

message(STATUS "Generating translations ...")
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)

add_subdirectory(src/qt5ct)
add_subdirectory(src/qt5ct-qtplugin)
add_subdirectory(src/qt5ct-style)

install(DIRECTORY qss DESTINATION ${CMAKE_INSTALL_DATADIR}/qt5ct)
install(DIRECTORY colors DESTINATION ${CMAKE_INSTALL_DATADIR}/qt5ct)

if(UNIX)
    add_custom_target(distclean @echo cleaning for source distribution)

    add_custom_command(
        COMMENT "distribution clean"
        COMMAND make
        ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeCache.txt" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeFiles" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "Makefile" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name \"*.cmake\" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_SOURCE_DIR} -name "*.qm" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.pc" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.depends" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.cxx_parameters" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "moc_*.cpp" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "qrc_*.cxx" | xargs rm -rf
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*_automoc.cpp" | xargs rm -rf
        COMMAND rm
        ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
        COMMAND find
        ARGS ${CMAKE_CURRENT_BINARY_DIR} -name *_automoc.dir | xargs rm -rf
        COMMAND rm
        ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/doc/html
        TARGET distclean
    )
endif(UNIX)

=== src/qt5ct-qtplugin/CMakeLists.txt ===
project(qt5ct-qtplugin)

set(app_SRCS
  main.cpp
  qt5ctplatformtheme.cpp
  ../qt5ct/qt5ct.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(qt5ct-qtplugin MODULE ${app_SRCS})
set_target_properties(qt5ct-qtplugin PROPERTIES OUTPUT_NAME qt5ct)
target_link_libraries(qt5ct-qtplugin PRIVATE Qt5::Widgets Qt5::GuiPrivate Qt5::DBus Qt5::ThemeSupportPrivate)
install(TARGETS qt5ct-qtplugin DESTINATION ${PLUGINDIR}/platformthemes)

=== src/qt5ct-style/CMakeLists.txt ===
project(qt5ct-style)

add_definitions(-DUSE_WIDGETS)

set(app_SRCS
  plugin.cpp
  qt5ctproxystyle.cpp
  ../qt5ct/qt5ct.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(qt5ct-style MODULE ${app_SRCS})
target_link_libraries(qt5ct-style PRIVATE Qt5::Widgets)
install(TARGETS qt5ct-style DESTINATION ${PLUGINDIR}/styles)

=== src/qt5ct/CMakeLists.txt ===
project(app)

set(app_SRCS
  appearancepage.cpp
  fontconfigdialog.cpp
  fontspage.cpp
  iconthemepage.cpp
  interfacepage.cpp
  main.cpp
  mainwindow.cpp
  paletteeditdialog.cpp
  qsseditordialog.cpp
  qsspage.cpp
  qt5ct.cpp
  tabpage.cpp
  troubleshootingpage.cpp
  appearancepage.ui
  fontconfigdialog.ui
  fontspage.ui
  iconthemepage.ui
  interfacepage.ui
  mainwindow.ui
  paletteeditdialog.ui
  previewform.ui
  qsseditordialog.ui
  qsspage.ui
  troubleshootingpage.ui
  translations/translations.qrc
)

add_executable(qt5ct ${app_SRCS})
target_link_libraries(qt5ct PRIVATE Qt5::Widgets Qt5::Concurrent Qt5::WidgetsPrivate)
install(TARGETS qt5ct DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES qt5ct.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

## qt5ct 0.33

=== debian/changelog ===
qt5ct (0.33-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Sep 2017 13:09:19 -0700

qt5ct (0.33-1~bpo9) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 16 Aug 2017 14:22:50 +0200

qt5ct (0.33-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #822246)
  * Add Lisandro Damián Nicanor Pérez Meyer to Uploaders.
  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 03 Jun 2017 10:33:43 +0200

qt5ct (0.32-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 15 May 2017 16:11:59 +0200

qt5ct (0.31-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 02 Apr 2017 19:52:56 +0200

qt5ct (0.30-2) unstable; urgency=medium

  * Fix FTBFS on non-linux arches.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 12 Feb 2017 09:02:54 +0100

qt5ct (0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 05 Feb 2017 19:49:05 +0100

qt5ct (0.29-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add qt5-style-plugins to suggests.
  * Add qt5ct-fix-color-scheme.patch
    (https://sourceforge.net/p/qt5ct/tickets/32/)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 28 Jan 2017 14:02:31 +0100

qt5ct (0.27-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 10.
  * Update B-D.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 26 Sep 2016 15:36:09 +0200

qt5ct (0.26-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 06 Sep 2016 11:54:55 +0200

qt5ct (0.25-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 21 Aug 2016 20:24:30 +0200

qt5ct (0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 04 Jun 2016 21:11:16 +0200

qt5ct (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8. (no changes needed)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 19 May 2016 10:24:18 +0200

qt5ct (0.22-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 08 Mar 2016 22:00:01 +0100

qt5ct (0.21-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 24 Jan 2016 00:45:20 +0100

qt5ct (0.20-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 24 Oct 2015 23:24:28 +0200

qt5ct (0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 01 Oct 2015 10:48:42 +0200

qt5ct (0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 19 Sep 2015 13:23:56 +0200

qt5ct (0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 13 Sep 2015 18:01:56 +0200

qt5ct (0.15-1) unstable; urgency=low

  * Initial release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 06 Sep 2015 19:54:10 +0200

=== debian/control ===
Source: qt5ct
Section: utils
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 10), qtbase5-dev, libqt5svg5-dev,
 qttools5-dev-tools, qtbase5-private-dev, libfontconfig1-dev,
 libfreetype6-dev, libglib2.0-dev, libxrender-dev,
 libmtdev-dev [linux-any], libegl1-mesa-dev
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/qt5ct/
Vcs-Git: https://github.com/mati75/qt5ct.git
Vcs-Browser: https://github.com/mati75/qt5ct.git

Package: qt5ct
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt5-style-plugins
Description: Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## qt5ct 0.34

=== debian/changelog ===
qt5ct (0.34-1build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:08:17 -0500

qt5ct (0.34-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 10:07:17 -0600

qt5ct (0.34-1) unstable; urgency=medium

  * Initial release. (Closes: #822246)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 10 Nov 2017 21:43:39 +0100

=== debian/control ===
Source: qt5ct
Section: utils
Priority: optional
Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 10),
               libegl1-mesa-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libmtdev-dev [linux-any],
               libqt5svg5-dev,
               libxrender-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: https://sourceforge.net/projects/qt5ct/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt-extras/qt5ct.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt-extras/qt5ct.git/

Package: qt5ct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qt5-style-plugins
Description: Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct will only be active on environments other than Plasma.
 Default configuration have switch to disable running on Plasma.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.

=== debian/watch ===
version=3
http://sf.net/qt5ct/qt5ct-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qt5ct 0.35

=== debian/changelog ===
qt5ct (0.35-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:21:33 -0500

qt5ct (0.35-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Standards-Version to 4.1.4, no changes required.
  * Mark that Qt >= 5.9 is required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Apr 2018 16:02:35 -0300

qt5ct (0.34-2) unstable; urgency=medium

  [ Scarlett Clark ]
  * New changelog entry
  * Update VSC to salsa  (Closes: #888088)
  * Update libqt5svg5 dependency as a runtime dependency as
    it does not actually link to at build time, it uses a plugin
    at runtime. (Closes: #888103)
  * Do not Ship AUTHORS file. Remove docs file.
  * Adjust README file to make clear under what circumstances
    in which  QT_QPA_PLATFORMTHEME=qt5ct would need to be set.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use https instead of http for the copyright format URL.
  * Use debhelper compatibility 11.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Mar 2018 14:02:49 -0300

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,24 @@
 Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libglib2.0-dev,
                libmtdev-dev [linux-any],
-               libqt5svg5-dev,
                libxrender-dev,
-               qtbase5-dev,
+               qtbase5-dev (>= 5.9~),
                qtbase5-private-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://sourceforge.net/projects/qt5ct/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt-extras/qt5ct.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt-extras/qt5ct.git/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt-extras/qt5ct.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt-extras/qt5ct
 
 Package: qt5ct
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
 Suggests: qt5-style-plugins
 Description: Qt5 Configuration Utility
  This utility allows users to configure Qt5 settings (theme, font,

## qt5ct 0.37

=== debian/changelog ===
qt5ct (0.37-1build1) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:41:45 +0000

qt5ct (0.37-1) unstable; urgency=medium

  * New upstream release. (Closes: #893020)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Update VCS links.
  * Switch to dh-compact.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 11 Feb 2019 15:27:41 +0100

## qt5ct 0.39

=== debian/changelog ===
qt5ct (0.39-1build3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:06:49 +0100

qt5ct (0.39-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:40 +0100

qt5ct (0.39-1build1) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:41:04 +0000

qt5ct (0.39-1) unstable; urgency=medium

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 31 Jul 2019 19:25:41 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
@@ -14,10 +14,10 @@
                qtbase5-dev (>= 5.9~),
                qtbase5-private-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://sourceforge.net/projects/qt5ct/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt-extras/qt5ct.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt-extras/qt5ct
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qt5ct.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qt5ct
 
 Package: qt5ct
 Architecture: any

## qt5ct 1.1

=== debian/changelog ===
qt5ct (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- Patrick Franz <patfra71@gmail.com>  Mon, 20 Jul 2020 23:06:24 +0200

qt5ct (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 13.

 -- Patrick Franz <patfra71@gmail.com>  Fri, 12 Jun 2020 10:07:39 -0300

qt5ct (0.41-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #928154)
  * Bump Standards-Version to 4.4.0, no changes needed.

  [ Patrick Franz ]
  * Add Rules-Requires-Root field.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update the Uploaders-field.

 -- Patrick Franz <patfra71@gmail.com>  Sat, 25 Apr 2020 21:07:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper-compat (= 12),
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
@@ -14,7 +15,8 @@
                qtbase5-dev (>= 5.9~),
                qtbase5-private-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/qt5ct/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qt5ct.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qt5ct

## qt5ct 1.5

=== debian/changelog ===
qt5ct (1.5-1build11) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Apr 2024 10:57:09 +0300

qt5ct (1.5-1build10) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:34 +1100

qt5ct (1.5-1build9) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:45:52 +0000

qt5ct (1.5-1build8) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Dec 2023 15:43:34 +0300

qt5ct (1.5-1build7) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 11:55:21 +0300

qt5ct (1.5-1build6) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:06:32 +0300

qt5ct (1.5-1build5) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 01:04:09 +0300

qt5ct (1.5-1build4) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 11:59:48 +0300

qt5ct (1.5-1build3) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 10:03:20 +0300

qt5ct (1.5-1build2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 16 May 2022 13:40:21 +0300

qt5ct (1.5-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 16:13:16 +0300

qt5ct (1.5-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #966105)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Update B-D.
  * Bump d/watch version.

  [ Patrick Franz ]
  * Change my email-address as I am a DD now.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 26 Oct 2021 19:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: qt5ct
 Section: utils
 Priority: optional
-Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake,
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
@@ -14,8 +16,9 @@
                libxrender-dev,
                qtbase5-dev (>= 5.9~),
                qtbase5-private-dev,
+               qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/qt5ct/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qt5ct.git

## qt5ct 1.8

=== debian/changelog ===
qt5ct (1.8-2build2) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:57:34 +0300

qt5ct (1.8-2build1) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2024 09:48:00 +0300

qt5ct (1.8-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix FTBFS with qtbase 5.15.13+dfsg-4 (closes: #1077428).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2024 19:54:54 +0300

qt5ct (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches included upstream.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update d/copyright.
  * Add d/clean for fix fails to build source after successful build.
    (Closes: #1045559)
  * d/control: Remove build depends on obsolete package.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Split shared libraries to new packages libqt5ct-common-dev and
    libqt5ct-common1.8.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 28 Feb 2024 22:12:26 +0100

=== debian/control ===
Source: qt5ct
Section: utils
Priority: optional
Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libmtdev-dev [linux-any],
               libxrender-dev,
               qtbase5-dev (>= 5.9~),
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/qt5ct/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qt5ct.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qt5ct

Package: qt5ct
Architecture: any
Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends}, libqt5ct-common1.8 (= ${binary:Version})
Suggests: qt5-style-plugins
Description: Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct will only be active on environments other than Plasma.
 Default configuration have switch to disable running on Plasma.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.

Package: libqt5ct-common-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5ct-common1.8 (= ${binary:Version})
Description: development files for Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct will only be active on environments other than Plasma.
 Default configuration have switch to disable running on Plasma.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.
 .
 This package contains the development libraries.

Package: libqt5ct-common1.8
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: common library for Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct will only be active on environments other than Plasma.
 Default configuration have switch to disable running on Plasma.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.
 .
 This package contains the libqt5ct-common library files.

## qt5ct 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,17 +15,27 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_C_VISIBILITY_PRESET hidden)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
-set(QT_MINIMUM_VERSION "5.12.0")
+set(CMAKE_BUILD_RPATH_USE_ORIGIN ON)
+set(QT_MINIMUM_VERSION "5.15.0")
 
+option(DISABLE_DBUS "disable D-Bus support (global menu and D-Bus tray icon implementation)" OFF)
 
 ADD_DEFINITIONS(-DQT_DISABLE_DEPRECATED_BEFORE=0x050C00 -DUSE_WIDGETS)
 
-find_package(Qt5 ${QT_MINIMUM_VERSION} COMPONENTS Widgets Concurrent LinguistTools DBus ThemeSupport REQUIRED)
+find_package(Qt5 ${QT_MINIMUM_VERSION} COMPONENTS Widgets Concurrent LinguistTools REQUIRED)
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} CONFIG REQUIRED Private)
+
+if(NOT DISABLE_DBUS)
+    find_package(Qt5 ${QT_MINIMUM_VERSION} COMPONENTS DBus ThemeSupport REQUIRED)
+    message(STATUS "D-Bus support: Enabled")
+else()
+    message(STATUS "D-Bus support: Disabled")
+endif()
 
 get_target_property(QT_LRELEASE_EXECUTABLE Qt5::lrelease IMPORTED_LOCATION)
 
@@ -50,6 +60,10 @@
 message(STATUS "Generating translations ...")
 execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
 
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/qt5ct-common)
+
+add_link_options(-Wl,--no-undefined)
+add_subdirectory(src/qt5ct-common)
 add_subdirectory(src/qt5ct)
 add_subdirectory(src/qt5ct-qtplugin)
 add_subdirectory(src/qt5ct-style)

=== src/qt5ct-common/CMakeLists.txt ===
project(qt5ct-common)

#extract version from qt5ct.h
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/qt5ct.h"
     QT5CT_VERSION_DATA REGEX "^#define[ \t]+QT5CT_VERSION_[A-Z]+[ \t]+[0-9]+.*$")

if(QT5CT_VERSION_DATA)
  foreach(item IN ITEMS MAJOR MINOR)
    string(REGEX REPLACE ".*#define[ \t]+QT5CT_VERSION_${item}[ \t]+([0-9]+).*"
       "\\1" QT5CT_VERSION_${item} ${QT5CT_VERSION_DATA})
  endforeach()
  set(QT5CT_VERSION "${QT5CT_VERSION_MAJOR}.${QT5CT_VERSION_MINOR}")
  set(QT5CT_SOVERSION "${QT5CT_VERSION_MAJOR}")
  message(STATUS "qt5ct version: ${QT5CT_VERSION}")
else()
  message(FATAL_ERROR "invalid header")
endif()

add_definitions(-DQT5CT_LIBRARY)

set(app_SRCS
  qt5ct.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(qt5ct-common SHARED ${app_SRCS})
set_target_properties(qt5ct-common PROPERTIES VERSION ${QT5CT_VERSION})
target_link_libraries(qt5ct-common PRIVATE Qt5::Core Qt5::Gui)
install(TARGETS qt5ct-common DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== src/qt5ct-qtplugin/CMakeLists.txt ===
project(qt5ct-qtplugin)

set(app_SRCS
  main.cpp
  qt5ctplatformtheme.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(qt5ct-qtplugin MODULE ${app_SRCS})
set_target_properties(qt5ct-qtplugin PROPERTIES OUTPUT_NAME qt5ct)
target_link_libraries(qt5ct-qtplugin PRIVATE Qt5::Widgets Qt5::GuiPrivate qt5ct-common)
if(NOT DISABLE_DBUS)
    target_link_libraries(qt5ct-qtplugin PRIVATE Qt5::DBus Qt5::ThemeSupportPrivate)
endif()
install(TARGETS qt5ct-qtplugin DESTINATION ${PLUGINDIR}/platformthemes)

=== src/qt5ct-style/CMakeLists.txt ===
project(qt5ct-style)

add_definitions(-DUSE_WIDGETS)

set(app_SRCS
  plugin.cpp
  qt5ctproxystyle.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(qt5ct-style MODULE ${app_SRCS})
target_link_libraries(qt5ct-style PRIVATE Qt5::Widgets qt5ct-common)
install(TARGETS qt5ct-style DESTINATION ${PLUGINDIR}/styles)

=== src/qt5ct/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
   paletteeditdialog.cpp
   qsseditordialog.cpp
   qsspage.cpp
-  qt5ct.cpp
   tabpage.cpp
   troubleshootingpage.cpp
   appearancepage.ui
@@ -29,6 +28,6 @@
 )
 
 add_executable(qt5ct ${app_SRCS})
-target_link_libraries(qt5ct PRIVATE Qt5::Widgets Qt5::Concurrent Qt5::WidgetsPrivate)
+target_link_libraries(qt5ct PRIVATE Qt5::Widgets Qt5::Concurrent Qt5::WidgetsPrivate qt5ct-common)
 install(TARGETS qt5ct DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES qt5ct.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== debian/changelog ===
qt5ct (1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Drop the separate library package, as the library does not have users,
    a stable SONAME/SOVERSION, and available headers:
    - drop the libqt5ct-common1.8, and libqt5ct-common-dev binary packages
    - drop the content installed by upstream from qt5ct.install, as it does
      already to the package destination directory
    - make sure to not ship the development files
    - add lintian overrides for the private library
  * Drop debian/qt5ct.dirs, as dh_install automatically creates the needed
    directories.
  * Update the patches:
    - watcher_registered.patch: refresh
  * Bump Standards-Version: 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 20:15:30 +0200

=== debian/control ===
Source: qt5ct
Section: utils
Priority: optional
Maintainer: Debian Qt-extras Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Mateusz Łukasik <mati75@linuxmint.pl>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libmtdev-dev [linux-any],
               libxrender-dev,
               qtbase5-dev (>= 5.9~),
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/qt5ct/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qt5ct.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qt5ct

Package: qt5ct
Architecture: any
Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends},
Suggests: qt5-style-plugins
Description: Qt5 Configuration Utility
 This utility allows users to configure Qt5 settings (theme, font,
 icons, etc.) under DE/WM without Qt integration.
 .
 Qt5ct will only be active on environments other than Plasma.
 Default configuration have switch to disable running on Plasma.
 .
 Qt5ct could use qt5 gtk theme, KDE breeze theme, the fusion theme,
 QtCurve theme and many more. Each style could be customized further
 by changing the color schema.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/qt5ct -name '*.so' -type l -print -delete

=== debian/watch ===
version=4
http://sf.net/qt5ct/qt5ct-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
